import java.util.Random;

// Represents a block.  Nothing graphics implementation specific belongs here.
class Block { 
	enum Color { EMPTY, BLUE, GREEN, PINK, RED, YELLOW }
	
	public Block() {}
	public Block(Color c) { d_color = c; } 
	public Color getColor() { return d_color; }
	public void setColor(Color c) { d_color = c; }
	public boolean isStatic() { return d_static; }
	public void setStatic(boolean b) { d_static = b; }
	public void setDeleted(boolean b) { d_deleted = b; } // You can mark the block as "to be deleted"
	public void clear() { // Clears a block if it's marked for deletion
		if (d_deleted) {
			setDeleted(false);
			d_color = Color.EMPTY;
		}
	}

	// You can get a random block from here
	public static Block getRand() {
		switch ((new Random()).nextInt(5)) {
			case 0: return new Block(Color.BLUE);
			case 1: return new Block(Color.GREEN);
			case 2: return new Block(Color.PINK);
			case 3: return new Block(Color.RED);
			case 4: return new Block(Color.YELLOW);
		}

		return new Block(); // Doesn't happen.
	}


	/* Data */	
	private boolean d_static = true, // Defaults to static
			d_deleted = false; 
	private Color d_color = Color.EMPTY; // Defaults to empty
}
