import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


// The main menu currently implements a level selector, nothing more
class MainMenu extends JFrame implements ActionListener {

	public MainMenu() {
		super("Gameloft Tetris Wannabe");

		// Nothing out of the ordinary in the constructor
		getContentPane().setLayout(new GridLayout(1, 2));

		JPanel selection = new JPanel();
		JPanel buttons = new JPanel();

		d_level = new JComboBox(new String[] { "1","2","3","4","5","6","7","8","9","10" });
		selection.add(new JLabel("Select difficulty level:"));
		selection.add(d_level);

		d_play = new JButton("Play");
		d_quit = new JButton("Quit");

		d_play.addActionListener(this);
		d_quit.addActionListener(this);
	
		buttons.add(d_play); buttons.add(d_quit);
		getContentPane().add(selection);
		getContentPane().add(buttons);
		
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		pack();
		show();
	}

	// Buttons inform this
	public void actionPerformed(ActionEvent ae) {
		if (ae.getSource() == d_play) {
			hide();
			new Game(d_level.getSelectedIndex()); // Levels are from 0 to 9
		}
		else
			System.exit(0);
	}


	/* Data */
	JButton d_play, d_quit;
	JComboBox d_level;
}
